ru.bitel.bgbilling.modules.voice.api.common.bean

## Class VoiceDevice

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
      - - ru.bitel.oss.kernel.entity.common.bean.Entity
        - - ru.bitel.oss.systems.inventory.resource.common.bean.Device<VoiceDevice,VoiceDeviceType>
          - - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceDevice

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem, TreeNode<VoiceDevice>

      public class VoiceDevice
      extends Device<VoiceDevice,VoiceDeviceType>

  Bean устройства модуля Voice. Представляет собой объединение понятий источник и нас в модулях Phone и VoiceIp.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.Device

      `children, comment, config, dateFrom, dateTo, deviceGroupIds, deviceType, deviceTypeId, host, identifier, orderManagerDisabled, parentId, secret, uptime, uptimeTime`

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `entitySpecId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceDevice()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLogPath()` /** Получение пути до каталога, в котором хранятся файлы логов.
    `void` | `setLogPath(java.lang.String logPath)` Установка пути до каталога, в котором хранятся файлы логов.

    - ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.Device

      `findCodePath, generateTitle, generateTitle, getChildren, getComment, getConfig, getDateFrom, getDateTo, getDeviceGroupIds, getDeviceType, getDeviceTypeId, getHost, getHosts, getHostsAsString, getIdentifier, getParentId, getPassword, getSecret, getUptime, getUptimeTime, getUsername, isOrderManagerDisabled, main, setChildren, setComment, setConfig, setDateFrom, setDateTo, setDeviceGroupIds, setDeviceType, setDeviceTypeId, setHost, setIdentifier, setOrderManagerDisabled, setParentId, setPassword, setSecret, setUptime, setUptimeTime, setUsername`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

      `getEntityId, getEntityTitle, setEntityId, setEntityTitle`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### VoiceDevice

          public VoiceDevice()

  - ### Method Detail

    - #### getLogPath

          public java.lang.String getLogPath()

      /** Получение пути до каталога, в котором хранятся файлы логов.
      Returns:
        путь до каталога с логами.

    - #### setLogPath

          public void setLogPath(java.lang.String logPath)

      Установка пути до каталога, в котором хранятся файлы логов.
      Parameters:
        `logPath` - путь до каталога с логами.